# 署名リクエスト

## **message** <a href="#createnft" id="createnft"></a>

クライアント署名に必要なメッセージを生成します。

## **基本情報** <a href="#basic-info" id="basic-info"></a>

<table><thead><tr><th width="134">プロパティ</th><th width="226">詳細</th></tr></thead><tbody><tr><td>URL</td><td><code>/api/v1/tokengate/message</code></td></tr><tr><td>Method</td><td>POST</td></tr></tbody></table>

## **リクエストパラメータ** <a href="#request" id="request"></a>

<table><thead><tr><th width="231">パラメータ</th><th width="85">種類</th><th width="78">必須</th><th width="318">詳細</th></tr></thead><tbody><tr><td>format</td><td>str</td><td>yes</td><td>"standard"固定で指定</td></tr><tr><td>wallet_address</td><td>str</td><td>yes</td><td>署名を求める先のウォレットアドレス</td></tr></tbody></table>

## **リクエストのサンプル** <a href="#sample" id="sample"></a>

```json
{
  "format": "standard",
  "wallet_address": "0x1111111111111111111111111111111111111111"
}
```

## **成功した場合のレスポンス例** <a href="#response" id="response"></a>

```json
{
  "requests": {
      "format": "standard",
      "wallet_address": "0x1111111111111111111111111111111111111111"
  },
  "response": {
      "code": "SUCCESS",
      "message": "Successfully generated the message.",
      "result": {
          "message": "NFT Ownership Verification\n\nPlease sign this message to verify your ownership of the NFT.\n\nThis action will not initiate any blockchain transaction or incur gas fees.\n\nWallet address:\n0x1111111111111111111111111111111111111111\n\nNonce:\ndbc9122d-afc2-b542-8c1b-757c317ec472\n",
          "nonce": "dbc9122d-afc2-b542-8c1b-757c317ec472"
      }
  }
}
```

## **失敗した場合のレスポンス例(ステータスコード400)** <a href="#error" id="error"></a>

```json
{
  "error": {
    "title": "Bad Request",
    "message": "contract_address and blockchain are inconsistent"
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nftgarden.app/jp/api/nft-api/v1.2/message.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
